<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Name: Pediatric Glasgow Coma Scale
Description: Pediatric Glasgow Coma Scale: PediatricGlasgowComaScale
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605">
   <title>Pediatric Glasgow Coma Scale</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]
Item: (PediatricGlasgowComaScale)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]
Item: (PediatricGlasgowComaScale)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]"
         id="d127e2872-false-d6612e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@classCode)=('BATTERY')">(PediatricGlasgowComaScale): de waarde van @classCode MOET 'BATTERY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PediatricGlasgowComaScale): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@moodCode)=('EVN')">(PediatricGlasgowComaScale): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PediatricGlasgowComaScale): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121'])&gt;=1">(PediatricGlasgowComaScale): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121'])&lt;=1">(PediatricGlasgowComaScale): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(PediatricGlasgowComaScale): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(PediatricGlasgowComaScale): element hl7:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:effectiveTime)&lt;=1">(PediatricGlasgowComaScale): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1122']]])&lt;=1">(PediatricGlasgowComaScale): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1122']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1123']]])&lt;=1">(PediatricGlasgowComaScale): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1123']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1124']]])&lt;=1">(PediatricGlasgowComaScale): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1124']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1125']]])&lt;=1">(PediatricGlasgowComaScale): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1125']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']
Item: (PediatricGlasgowComaScale)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']"
         id="d127e2878-false-d6793e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PediatricGlasgowComaScale): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.1121')">(PediatricGlasgowComaScale): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1121' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PediatricGlasgowComaScale): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (PediatricGlasgowComaScale)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e2883-false-d6814e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PediatricGlasgowComaScale): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="@nullFlavor or (@code='completed')">(PediatricGlasgowComaScale): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:effectiveTime
Item: (PediatricGlasgowComaScale)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:effectiveTime"
         id="d127e2888-false-d6834e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PediatricGlasgowComaScale): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="@value">(PediatricGlasgowComaScale): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(PediatricGlasgowComaScale): attribuut @value MOET datatype 'ts' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]
Item: (PediatricGlasgowComaScale)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1122']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@typeCode)=('COMP')">(PediatricGlasgowComaScale): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PediatricGlasgowComaScale): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PediatricGlasgowComaScale): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PediatricGlasgowComaScale): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1123']]]
Item: (PediatricGlasgowComaScale)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1123']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@typeCode)=('COMP')">(PediatricGlasgowComaScale): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PediatricGlasgowComaScale): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PediatricGlasgowComaScale): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PediatricGlasgowComaScale): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1124']]]
Item: (PediatricGlasgowComaScale)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1124']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@typeCode)=('COMP')">(PediatricGlasgowComaScale): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PediatricGlasgowComaScale): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PediatricGlasgowComaScale): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PediatricGlasgowComaScale): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1121
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1125']]]
Item: (PediatricGlasgowComaScale)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1121']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1125']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@typeCode)=('COMP')">(PediatricGlasgowComaScale): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PediatricGlasgowComaScale): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PediatricGlasgowComaScale): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PediatricGlasgowComaScale): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
