<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Name: Treatments
Description: Treatments: Bevat gegevens over de behandelingen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944">
   <title>Treatments</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]
Item: (Treatments)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]"
         id="d127e3368-false-d10077e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']])&lt;=1">(Treatments): element hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]
Item: (Treatments)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]"
         id="d127e3457-false-d10098e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@classCode)=('CLUSTER')">(Treatments): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Treatments): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@moodCode)=('EVN')">(Treatments): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Treatments): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130'])&gt;=1">(Treatments): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130'])&lt;=1">(Treatments): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Treatments): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Treatments): element hl7:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1131']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1131']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1132']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1132']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1133']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1133']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1134']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1134']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1136']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1136']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1153']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1153']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1154']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1154']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1155']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1155']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1156']]])&lt;=1">(Treatments): element hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1156']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]])&lt;=1">(Treatments): element hl7:component[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1164']]])&lt;=1">(Treatments): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1164']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']
Item: (Treatments)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']"
         id="d127e3463-false-d11045e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Treatments): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.1130')">(Treatments): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1130' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Treatments): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Treatments)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e3468-false-d11066e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Treatments): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="@nullFlavor or (@code='completed')">(Treatments): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1131']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1131']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1132']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1133']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1133']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1134']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1134']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1136']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1136']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1153']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1153']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1154']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1154']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1155']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1155']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1156']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1156']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1130
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1164']]]
Item: (Treatments)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1130']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1164']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@typeCode)=('COMP')">(Treatments): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Treatments): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Treatments): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1130-2016-11-21T155944.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Treatments): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
